org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>

Type Parameters:
  `U` -

Enclosing class:
  HierarchyWizardModelGrouping<T>

    public static class HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>
    extends java.lang.Object

This class represents an adjustment.

Author:
  Fabian Prasser

### Field Summary

Fields
`U` `bottomTopCodingBound` Coding
`U` `minMaxBound` Extreme
`U` `snapBound` Snap

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardGroupingRange(DataType<U> type, boolean lower)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapBound

    public U snapBound

Snap

#### bottomTopCodingBound

    public U bottomTopCodingBound

Coding

#### minMaxBound

    public U minMaxBound

Extreme

### Constructor Detail

#### HierarchyWizardGroupingRange

    public HierarchyWizardGroupingRange(DataType<U> type,
                                        boolean lower)

Parameters:
  `type` -
  `lower` -